Loading...
Searching...
No Matches
pcl::PointDEM Struct Reference
Module common

A point structure representing Digital Elevation Map. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointDEM:

## Public Member Functions

constexpr | PointDEM (const _PointDEM &p)
constexpr | PointDEM ()
constexpr | PointDEM (float _x, float _y, float _z)
constexpr | PointDEM (float _x, float _y, float _z, float _intensity, float _intensity_variance, float _height_variance)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointDEM &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointDEM
PCL_ADD_POINT4D float | intensity
float | intensity_variance
float | height_variance

## Detailed Description

A point structure representing Digital Elevation Map.

Definition at line 1701 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointDEM() [1/4]

constexpr pcl::PointDEM::PointDEM | ( | const _PointDEM & | p | ) |

inline constexpr

Definition at line 1703 of file point_types.hpp.

## PointDEM() [2/4]

constexpr pcl::PointDEM::PointDEM | ( |  | ) |

inline constexpr

Definition at line 1706 of file point_types.hpp.

## PointDEM() [3/4]

constexpr pcl::PointDEM::PointDEM | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline constexpr

Definition at line 1708 of file point_types.hpp.

## PointDEM() [4/4]

constexpr pcl::PointDEM::PointDEM | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _intensity,
|  | float | _intensity_variance,
|  | float | _height_variance
| ) |  |

inline constexpr

Definition at line 1710 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointDEM & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp